{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Blogs @Nito-dev</title>
{% endblock meta %}

{% block content %}
  <div class="container mt-5">
    <h1 class="fw-bold">My blog~</h1>

    {% if blogs %}
      <p class="mt-3">Here are some random writings, feel free to comment...</p>
      {% for blog in blogs %}
        <hr/>
        <article>
          <header class="mb-4">
            <h3><a href="{{blog.url}}">{{blog.title}}</a></h3>
            <div class="text-muted mb-2">Last updated at {{blog.updated_at}} by Nito.</p>
          </header>
          <section class="mb-5">
            <p>{{blog.content|linebreaksbr|truncatewords:50}}</p>
          </section>
        </article>
        
      {% endfor %}
    {% else %}
      <p>Coming soon! <a href="..">Return to profile</a></p>
    {% endif %}

  </div>
  
  
  

{% endblock content %}
